var express = require( 'express' );
var router = express.Router();
var rdb = require('../controllers/rdb');
var httpproxy = require('../controllers/httpproxy');
var file = require('../controllers/file');

router.get('/', function(req, res) {
    res.jsonp({
        success: true,
        message: 'Normal'
    });
});

router.all(/^\/(data)\/rdb/, rdb.before);
router.get('/data/rdb/:source_id', rdb.queryData);
router.get('/data/rdb/:source_id/export', rdb.exportData);
router.get('/execute/rdb', rdb.execute);
router.get('/data/httpproxy/:source_id', httpproxy.request);

router.post('/file/upload', file.upload);
router.get(/file\/*/, file.download);

module.exports = router;